Subject: devel/arts does not compile (problem with pkg-config)
To: None <>
From: Joe Reed <>
List: tech-pkg
Date: 04/04/2004 18:26:46
i attempted to compile deve/arts from pkgsrc -current (anoncvs updated about 
10 minutes ago), and it cannot find the glib2 package.  i think there is a 
problem with pkg-config.  for some reason my pkg-config fails on a fall to 
gnome-config.  how do i get around this? (errors included below)

$ uname -a 
NetBSD bork 1.6ZK NetBSD 1.6ZK (BORK) #1: Fri Mar  5 00:08:40 EST 2004 
root@bork:/usr/build/obj/sys/arch/i386/compile/BORK i386

$ pwd

$ make install
===> Checking for vulnerabilities in arts-1.2.1
===> Configuring for arts-1.2.1
configure: WARNING: If you wanted to set the --build type, don't use --host.
    If a cross compiler is detected then cross compile mode will be used.
---- 8<-----<snip>----8<-----------
checking for pkg-config... /usr/pkg/bin/pkg-config
checking for GLib-2.0 (at least 1.3.3)... not installed
configure: error:
        Please install glib-2.0 (see

*** Error code 1

make: stopped in /usr/pkgsrc/audio/arts
*** Error code 1

make: stopped in /usr/pkgsrc/audio/arts

#pkg-config tries to access these to modules in the arts configure script
$ pkg-config gmodule-2.0
gnome-config: not found

$ pkg-config gthread-2.0
gnome-config: not found

# but i have glib installed
$ pkg_info | grep glib
glib2-2.4.0         Some useful routines for C programming